JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Result Member List

This is the complete list of members for Result, including all inherited members.

fail(const String &errorMessage) noexcept | Result | static
failed() const noexcept | Result |
getErrorMessage() const noexcept | Result |
ok() noexcept | Result | static
operator bool() const noexcept | Result |
operator!() const noexcept | Result |
operator!=(const Result &other) const noexcept | Result |
operator=(const Result &) | Result |
operator=(Result &&) noexcept | Result |
operator==(const Result &other) const noexcept | Result |
Result(const Result &) | Result |
Result(Result &&) noexcept | Result |
wasOk() const noexcept | Result |